Skip to main content
`Ctrl`+`K`

# TSSetOptionsPrefix

Sets the prefix used for searching for all TS options in the database.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetOptionsPrefix(TS ts, const char prefix[])

Logically Collective

## Input Parameters

- ts - The `TS` context

- prefix - The prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetFromOptions()`, `TSAppendOptionsPrefix()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1f90.F90
src/ts/utils/dmplexlandau/tutorials/ex1.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages